import { DayLiteUnits } from './types';
declare class DayLite {
    private _dateTime;
    constructor(date?: Date);
    get millisecond(): number;
    private set millisecond(value);
    get second(): number;
    private set second(value);
    get minute(): number;
    private set minute(value);
    get hour(): number;
    private set hour(value);
    get day(): number;
    private set day(value);
    get weekday(): number;
    private set weekday(value);
    get weekdayName(): string;
    get month(): number;
    private set month(value);
    get nativeMonth(): number;
    get monthName(): string;
    get year(): number;
    private set year(value);
    get leapYear(): boolean;
    get daysInMonth(): number;
    toDate(): Date;
    toISOString(): string;
    toString(): string;
    now(): number;
    set(changes: Partial<Record<DayLiteUnits, number>>): this;
    plus(value: number, unit: DayLiteUnits): this;
    minus(value: number, unit: DayLiteUnits): this;
    next(value: number, unit: DayLiteUnits): this;
    prev(value: number, unit: DayLiteUnits): this;
    previous(value: number, unit: DayLiteUnits): this;
    start(unit: DayLiteUnits): this;
    startOf(unit: DayLiteUnits): this;
    end(unit: DayLiteUnits): this;
    endOf(unit: DayLiteUnits): this;
}
export declare function dayLite(date?: Date): DayLite;
export {};
